MODxセキュリティパッチ

珍しく、MODxからセキュリティアナウンスのメールが届きました。

現行のバージョン(0.9.2)は、極力0.9.2.2にバージョンアップした方が良いとのことで、今月末には、0.9.5もリリース予定との事です。

リビジョンが2000番台に突入しそうなので、リリースが近いとは思ってました。(^^ゞ

0.9.2.2 released

0.9.2.2 is an important release which contains some measures to prevent possible XSS exploits that have been back-ported from the pending 095 release. This should be considered

パッチ適用(上書きコピー)したら、manager/include/config.inc.phpに下記を追加するのを忘れないように!

config.inc.phpの31行辺りの、”start cms session”の直前に追加

if (!defined('MODX_BASE_PATH')) define('MODX_BASE_PATH', $base_path);
if (!defined('MODX_BASE_URL')) define('MODX_BASE_URL', $base_url);
if (!defined('MODX_SITE_URL')) define('MODX_SITE_URL', $site_url);

スポンサーリンク
336×280(テキスト&ディスプレイ広告)
banner